/**
 * Copyright (c) 2008-2012 EBM WebSourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.engine.clock;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.logging.Level;
import java.util.logging.Logger;

public class ClockService {

    private Logger logger;

    public String time() {
        logger.log(Level.INFO, "The ClockImpl service is called to return current time");

        DateFormat formatter = new SimpleDateFormat("MM/dd/yyyy HH:mm:ss");
        String en = "<timeResponse xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" "
                + "xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\"><timeReturn xsi:type=\"xsd:string\">";
        en += formatter.format(new Date(System.currentTimeMillis()));
        en += "</timeReturn></timeResponse>";

        logger.log(Level.INFO, "The ClockImpl answer : " + en);

        return en;
    }

    public void printTime() {
        logger.log(Level.INFO, "The ClockImpl service is called to display current time");

        logger.info("time :" + new Date());
    }

    public ClockService(Logger logger) {
        super();
        this.logger = logger;
    }

}
